Name:           go2rpm
Version:        1.15.0
Release:        %mkrel 2
Summary:        Convert Go packages to RPM
Group:          Development/Golang
License:        MIT
URL:            https://gitlab.com/fedora/sigs/go/go2rpm
Source:         https://gitlab.com/fedora/sigs/go/go2rpm/-/archive/v%{version}/go2rpm-v%{version}.tar.bz2
Patch0:         0001-Mageia-customizations.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(flit-core) >= 3.2
BuildRequires:  python3dist(gitpython)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(pip) >= 19
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tomlkit)
BuildRequires:  git

Recommends:     git
Requires:       askalono-cli
Requires:       compiler(go-compiler)

%description
Convert Go packages to RPM.

%prep
%autosetup -n go2rpm-v%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc NEWS.md
%{_bindir}/%{name}


%changelog
* Mon Mar 10 2025 papoteur <papoteur> 1.15.0-2.mga10
+ Revision: 2162474
- rebuild for python 3.13

* Sat Jan 04 2025 pterjan <pterjan> 1.15.0-1.mga10
+ Revision: 2135450
- Add BuildRequires git for the tests
- Update to v1.15.0
- imported package go2rpm
+ bcornec <bcornec>
- Suggest git for go2rpm - without help doesn't work


* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1-8
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1-5
- Rebuilt for Python 3.8

* Sun Aug 04 22:04:10 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-4
- Replace go-rpm-macros with compiler(go-compiler)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 22:04:32 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-2
- Add go-rpm-macros require

* Thu Jul 11 18:00:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-1
- Initial package
